package com.fjhx.sale.service.quality;

import com.fjhx.sale.entity.quality.po.EhsdQualityAql;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quality.vo.EhsdQualityAqlVo;
import com.fjhx.sale.entity.quality.dto.EhsdQualityAqlSelectDto;
import com.fjhx.sale.entity.quality.dto.EhsdQualityAqlDto;


/**
 * <p>
 * 质检AQL表 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
public interface EhsdQualityAqlService extends BaseService<EhsdQualityAql> {

    /**
     * 质检AQL表分页
     */
    Page<EhsdQualityAqlVo> getPage(EhsdQualityAqlSelectDto dto);

    /**
     * 质检AQL表明细
     */
    EhsdQualityAqlVo detail(Long id);

    /**
     * 质检AQL表新增
     */
    void add(EhsdQualityAqlDto ehsdQualityAqlDto);

    /**
     * 质检AQL表编辑
     */
    void edit(EhsdQualityAqlDto ehsdQualityAqlDto);

    /**
     * 质检AQL表删除
     */
    void delete(Long id);

}
